aboutsummaryrefslogtreecommitdiff
path: root/scripts/music/sync-sdcard.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/music/sync-sdcard.sh')
-rwxr-xr-xscripts/music/sync-sdcard.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/scripts/music/sync-sdcard.sh b/scripts/music/sync-sdcard.sh
new file mode 100755
index 0000000..f4093d5
--- /dev/null
+++ b/scripts/music/sync-sdcard.sh
@@ -0,0 +1,16 @@
+#!/usr/bin/env sh
+
+set -eu -o pipefail
+
+dir=$(ls /run/media/imsohexy/ | fzf --prompt="Copy to: ")
+
+rsync \
+ --exclude=.stfolder \
+ --exclude=.thumbnails \
+ -ahvP \
+ --delete \
+ --modify-window=2 \
+ ~/Downloads/music/ \
+ "/run/media/imsohexy/$dir"
+
+notify-send "Done copying music. Sort it maybe?"